---
updatedAt: 2025-06-12T20:17:41.000Z
agentTools:
  projectIndex: https://developer.accelevents.com/llms.txt
---

# Get UserTicketIds

This API used to get list of user ticket ids associated with the specified event.
To call this API, user have to pass query param with API URL like eventurl and authentication key to authenticate user.

## Response

It will return list of ticketing type id if API execute successfully.

## Error Code

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Error Code
      </th>

      <th>
        Error Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        200
      </td>

      <td>
        Ok
      </td>
    </tr>

    <tr>
      <td>
        400
      </td>

      <td>
        The request could not be understood by the server due to malformed syntax.
      </td>
    </tr>

    <tr>
      <td>
        401
      </td>

      <td>
        You are not authorized to view the resource.
      </td>
    </tr>

    <tr>
      <td>
        403
      </td>

      <td>
        Accessing the resource you were trying to reach is forbidden.
      </td>
    </tr>

    <tr>
      <td>
        404
      </td>

      <td>
        The resource you were trying to reach is not found.
      </td>
    </tr>

    <tr>
      <td>
        40600013
      </td>

      <td>
        Cant create url.
      </td>
    </tr>

    <tr>
      <td>
        4040200
      </td>

      <td>
        Event Not Found.
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "accelevents",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.accelevents.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/rest/events/{eventurl}/userTicketTypeIds": {
      "get": {
        "summary": "Get UserTicketIds",
        "description": "This API used to get list of user ticket ids associated with the specified event.\nTo call this API, user have to pass query param with API URL like eventurl and authentication key to authenticate user.",
        "operationId": "get-userticketids",
        "parameters": [
          {
            "name": "eventurl",
            "in": "path",
            "description": "Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "API Authentication Token",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[{}]"
                  }
                },
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {}
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```